Bug 116934 - net-mgmt/mrtg won't start in UTF-8 locales
Summary: net-mgmt/mrtg won't start in UTF-8 locales
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-04 20:40 UTC by Cristian KLEIN
Modified: 2008-06-10 15:41 UTC (History)
0 users

See Also:


Attachments
file.diff (256 bytes, patch)
2007-10-04 20:40 UTC, Cristian KLEIN
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cristian KLEIN 2007-10-04 20:40:00 UTC
When using a UTF-8 locale, such as ro_RO.UTF-8, and starting mrtg_daemon from rc.d, the following error will display, and mrtg will refuse to start:

-----------------------------------------------------------------------
ERROR: Mrtg will most likely not work properly when the environment
       variable LANG is set to UTF-8. Please run mrtg in an environment
       where this is not the case. Try the following command to start:

       env LANG=C /usr/local/bin/mrtg --pid-file /var/run/mrtg/mrtg.pid --lock-file /var/run/mrtg/lockfile --confcache-file /var/run/mrtg/confcache --user mrtg --group mrtg --daemon /usr/local/etc/mrtg/mrtg.cfg 
-----------------------------------------------------------------------

How-To-Repeat: 1) install net-mgmt/mrtg
2) in csh type:

# setenv LANG ro_RO.UTF-8
# /usr/local/etc/rc.d/mrtg_daemon.sh forcestart
Comment 1 Edwin Groothuis freebsd_committer 2007-10-04 20:40:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->demon

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Dmitry Sivachenko freebsd_committer 2008-05-27 12:00:16 UTC
Responsible Changed
From-To: demon->freebsd-ports-bugs

I am no longer maintainer.
Comment 3 Felippe de Meirelles Motta freebsd_committer 2008-06-06 04:09:58 UTC
Hi Submitter,

I'ave updated net-mgmt/mrtg in the last night, can you please try again
and see if that problem was solved ?

Thanks for your contribution to the FreeBSD Project! :)

-- 
lippe@FreeBSD.org
Felippe de Meirelles Motta
Comment 4 Alexander Logvinov 2008-06-06 04:27:35 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello!

 Can you confirm that the problem still exists after updating
 net-mgmt/mrtg port to 2.16.2,1?

- --
Best regards,
 Alexander
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (MingW32)

iQEcBAEBAgAGBQJISK6qAAoJECvkNOkwqtvMmNAH/33/d8lXVqRz3Q3uoTASsXvJ
cb3BI9pv/s8ZOdezC3mMWQTii3kKiKfUmSy55j/lxKcGM3n3jil02J4bAlWG0Gp1
j27qorBJEMzQigKmiMcULeXg9pB8xRigoUEnx7sNxBP0NsyhghruenswMoZRLRRM
X9mSyOx4kL+HEk9P7QJBAgvKHtLr9IwqU+rM9LgxVCpi+f6HgBUBYLgpe+nbm4xW
WmMUf2aAhfHxJnJoRMtnyG0IOkD1qVkSEBXtPyIMIN5fl1eN2FXeCUvPTCGA8vD8
XDyOenNN8BaCMhSkhaxL/4e7g4gPfkVBFUzHNSVAOlNC32+DF07wHeFCRpIx8jA=3D
=3DKWTX
-----END PGP SIGNATURE-----
Comment 5 Felippe de Meirelles Motta freebsd_committer 2008-06-06 05:57:44 UTC
State Changed
From-To: open->feedback

Waiting feedback after last committs on this port.
Comment 6 Cristian KLEIN 2008-06-10 15:18:08 UTC
Felippe de Meirelles Motta wrote:
> Hi Submitter,
> 
> I'ave updated net-mgmt/mrtg in the last night, can you please try again
> and see if that problem was solved ?
> 
> Thanks for your contribution to the FreeBSD Project! :)
> 

Yes, the problem has been solved.
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2008-06-10 15:40:43 UTC
State Changed
From-To: feedback->closed

Submitter reports problem was solved with latest update.